   package base_leslie;

   import java.util.Date;
   import java.util.Calendar;
   import java.lang.System;
   import java.lang.String;
   import java.sql.*;

    public class Ejercicio {
    
      private String ID_ejercicio;//Identificador del ejercicio
      private String ID_usuario; //De preferencia el RUT.
      private int carga;
      private int repeticiones; 
      private int serie; 
      private int pausa; 
      
      
    
       public Ejercicio(){
      	
         ID_ejercicio = "";
         ID_usuario = "";
         carga = 0;
         repeticiones = 0;
         serie = 0;
         pausa = 0;
      	
      }
    
       public String getID_ejer(){ //Retorna el nombre del usuario.
         return ID_ejercicio;
      }
      
       public String getID_user(){ //Retorna el nombre del usuario.
         return ID_usuario;
      }
   	
   	
       public int getCarga(){
         return carga;
      }
   
    
       public int getRepeticiones(){
         return repeticiones;
      }
    
       public int getSerie(){ //Retorna el ID del usuario, que es su RUT.
         return serie;
      }
    
       public int getPausa(){
         return pausa;
      }
    
    
    //Metodos Set, de carga parametros.
    
       public void setID_ejer(String ID){//Retorna el nombre del usuario.
         ID_ejercicio = ID;
      }
    
       public void setID_user(String ID){//Retorna el nombre del usuario.
         ID_usuario = ID;
      }
    
       public void setCarga(int cargaint){
         carga = cargaint;	      
      }
    
       public void setRepeticiones(int Repint){ //Retorna el ID del usuario, que es su RUT.
         repeticiones = Repint;
      }
    
       public void setSerie(int ser){
         serie = ser;
      }
    
       public void setPausa(int pau){
         pausa = pau;
      }
     
       
       
       public ResultSet getResultset(){
            
           ResultSet rs = null;
           
           try {
             
             rs = stmt.executeQuery("SELECT * FROM ejercicio WHERE Ej_ID = '" + ID_ejercicio + "'");
           
           } catch (SQLException ex) {
                ex.printStackTrace();
             }
          
         return(rs);      
       } 
       
       
       private java.sql.Statement stmt;//Variable para generar la conexion.
       
       
       
   }
